Package: org.gmetrics.result

## [Groovy] Class SingleNumberMetricResult

- org.gmetrics.result.SingleNumberMetricResult

- All Implemented Interfaces and Traits:
    MetricResult

      class SingleNumberMetricResult

  A MetricResult for numbers (integers, BigDecimals, etc.), that returns the same, single value for total, average, minimum and maximum. An instance of this class is immutable.

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `count`
    `Integer` | `lineNumber`
    `Metric` | `metric`
    `MetricLevel` | `metricLevel`
    `def` | `number`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SingleNumberMetricResult (Metric metric, MetricLevel metricLevel, def number, Integer lineNumber = null)` Construct a new instance

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `getAt(String name)`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### final int count

    - #### final Integer lineNumber

    - #### final Metric metric

    - #### final MetricLevel metricLevel

    - #### final def number

  - ### Constructor Detail

    - #### SingleNumberMetricResult(Metric metric, MetricLevel metricLevel, def number, Integer lineNumber = null)

      Construct a new instance

      Parameters:
        `metric` - - the Metric to which this result applies
        `metricLevel` - - the metric level for this result
        `number` - - the single value to use for total, average, minimum, and maximum
        `lineNumber` - - the line number for the source element (AST) that triggered this metric result; may be null

  - ### Method Detail

    - #### @Override Object getAt(String name)

    - #### @Override String toString()